WMLABT(3NCARG)

NAME
WMLABT - plots weather map regional temperatures labels (like 90s, 80s, etc.)

SYNOPSIS
CALL WMLABT (X, Y, LABEL, IPOS)

C-BINDING SYNOPSIS
#include <ncarg/gks.h>

void c_wmlabt(float x, float y, char *label, int ipos)

DESCRIPTION

X   (Real, Input) - An X coordinate (specified in world coordinates) of a point that specifies a position for the label in LABEL.

Y   (Real, Input) - A Y coordinate (specified in world coordinates) of a point that specifies a position for the label in LABEL.

LABEL
    (Character, Input) - A character variable that contains the desired label.

IPOS
    (Integer, Input) - A flag for controlling whether an optional arrow is drawn. If IPOS is 0, then no arrow is drawn and the label is centered at (X,Y). If IPOS is between 1 and 12 (inclusive), then an arrow is drawn in one of twelve positions and (X,Y) specifies the location of the tip of the arrow.

USAGE
Set the values for the appropriate internal parameters before calling WMLABT to produce the desired label. The internal parameters that control the appearance of the labels are: RBS, RFC, RLS, ROS, and THT. The appearance of the optional arrows is controlled by the internal parameters controlling arrows (see the documentation for WMLABS).

ACCESS
To use WMLABT or c_wmlabt, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: wmap, wmdflt, wmgetc, wmgeti, wmgetr, wmlabs, wmsetc, wmseti, wmsetr, wmap_params

Hardcopy: WMAP - A Package for Producing Daily Weather Maps and Plotting Station Model Data

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.